Subject: bug#24404: "calibre" package fails to build.

From: Efraim Flashner <[email-masked]>
Date: Sat, 21 Jul 2018 21:52:25 +0300

On Sat, Jul 21, 2018 at 08:48:22PM +0200, Andreas Enge wrote:
> On Sat, Jul 21, 2018 at 09:38:30PM +0300, Efraim Flashner wrote:
> > I see a new version of Calibre was just pushed to master, does that
> > build as expected?
> 
> Yes and no; it builds, but then using it fails with
> ...
>   File "/gnu/store/brj5xv8zqa1w7byz8b1fz0fd1hmy3kd4-calibre-3.28.0/lib/calibre/calibre/gui2/comments_editor.py", line 17, in <module>
>     from PyQt5.QtWebKitWidgets import QWebView, QWebPage
> ImportError: No module named QtWebKitWidgets
> 
> Gentoo moved to a new snapshot of qtwebkit:
>    https://forums.gentoo.org/viewtopic-p-8226560.html?sid=cdd617a96f698cdc99a6156a22a4a54f
> They claim this solved their problems.
> 
> The current git server of qtwebkit is here:
>    https://code.qt.io/cgit/qt/qtwebkit.git
> 
> I am downloading version 5.212.0-alpha2 from here:
>    https://github.com/annulen/webkit/releases
> and will give it a try.
> 
> Andreas
> 

I see, debian moved to the same source. I am worried though that that
repo hasn't seen any action in 6 months.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted